@import '_content/Blazor.Bootstrap/Blazor.Bootstrap.olwso25aue.bundle.scp.css';

/* /Components/Layout/MainLayout.razor.rz.scp.css */
/* /Components/Layout/ReconnectModal.razor.rz.scp.css */
.components-reconnect-first-attempt-visible[b-ua91g4t5u0],
.components-reconnect-repeated-attempt-visible[b-ua91g4t5u0],
.components-reconnect-failed-visible[b-ua91g4t5u0],
.components-pause-visible[b-ua91g4t5u0],
.components-resume-failed-visible[b-ua91g4t5u0],
.components-rejoining-animation[b-ua91g4t5u0] {
    display: none;
}

#components-reconnect-modal.components-reconnect-show .components-reconnect-first-attempt-visible[b-ua91g4t5u0],
#components-reconnect-modal.components-reconnect-show .components-rejoining-animation[b-ua91g4t5u0],
#components-reconnect-modal.components-reconnect-paused .components-pause-visible[b-ua91g4t5u0],
#components-reconnect-modal.components-reconnect-resume-failed .components-resume-failed-visible[b-ua91g4t5u0],
#components-reconnect-modal.components-reconnect-retrying[b-ua91g4t5u0],
#components-reconnect-modal.components-reconnect-retrying .components-reconnect-repeated-attempt-visible[b-ua91g4t5u0],
#components-reconnect-modal.components-reconnect-retrying .components-rejoining-animation[b-ua91g4t5u0],
#components-reconnect-modal.components-reconnect-failed[b-ua91g4t5u0],
#components-reconnect-modal.components-reconnect-failed .components-reconnect-failed-visible[b-ua91g4t5u0] {
    display: block;
}


#components-reconnect-modal[b-ua91g4t5u0] {
    background-color: white;
    width: 20rem;
    margin: 20vh auto;
    padding: 2rem;
    border: 0;
    border-radius: 0.5rem;
    box-shadow: 0 3px 6px 2px rgba(0, 0, 0, 0.3);
    opacity: 0;
    transition: display 0.5s allow-discrete, overlay 0.5s allow-discrete;
    animation: components-reconnect-modal-fadeOutOpacity-b-ua91g4t5u0 0.5s both;
    &[open]

{
    animation: components-reconnect-modal-slideUp-b-ua91g4t5u0 1.5s cubic-bezier(.05, .89, .25, 1.02) 0.3s, components-reconnect-modal-fadeInOpacity-b-ua91g4t5u0 0.5s ease-in-out 0.3s;
    animation-fill-mode: both;
}

}

#components-reconnect-modal[b-ua91g4t5u0]::backdrop {
    background-color: rgba(0, 0, 0, 0.4);
    animation: components-reconnect-modal-fadeInOpacity-b-ua91g4t5u0 0.5s ease-in-out;
    opacity: 1;
}

@keyframes components-reconnect-modal-slideUp-b-ua91g4t5u0 {
    0% {
        transform: translateY(30px) scale(0.95);
    }

    100% {
        transform: translateY(0);
    }
}

@keyframes components-reconnect-modal-fadeInOpacity-b-ua91g4t5u0 {
    0% {
        opacity: 0;
    }

    100% {
        opacity: 1;
    }
}

@keyframes components-reconnect-modal-fadeOutOpacity-b-ua91g4t5u0 {
    0% {
        opacity: 1;
    }

    100% {
        opacity: 0;
    }
}

.components-reconnect-container[b-ua91g4t5u0] {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 1rem;
}

#components-reconnect-modal p[b-ua91g4t5u0] {
    margin: 0;
    text-align: center;
}

#components-reconnect-modal button[b-ua91g4t5u0] {
    border: 0;
    background-color: #6b9ed2;
    color: white;
    padding: 4px 24px;
    border-radius: 4px;
}

    #components-reconnect-modal button:hover[b-ua91g4t5u0] {
        background-color: #3b6ea2;
    }

    #components-reconnect-modal button:active[b-ua91g4t5u0] {
        background-color: #6b9ed2;
    }

.components-rejoining-animation[b-ua91g4t5u0] {
    position: relative;
    width: 80px;
    height: 80px;
}

    .components-rejoining-animation div[b-ua91g4t5u0] {
        position: absolute;
        border: 3px solid #0087ff;
        opacity: 1;
        border-radius: 50%;
        animation: components-rejoining-animation-b-ua91g4t5u0 1.5s cubic-bezier(0, 0.2, 0.8, 1) infinite;
    }

        .components-rejoining-animation div:nth-child(2)[b-ua91g4t5u0] {
            animation-delay: -0.5s;
        }

@keyframes components-rejoining-animation-b-ua91g4t5u0 {
    0% {
        top: 40px;
        left: 40px;
        width: 0;
        height: 0;
        opacity: 0;
    }

    4.9% {
        top: 40px;
        left: 40px;
        width: 0;
        height: 0;
        opacity: 0;
    }

    5% {
        top: 40px;
        left: 40px;
        width: 0;
        height: 0;
        opacity: 1;
    }

    100% {
        top: 0px;
        left: 0px;
        width: 80px;
        height: 80px;
        opacity: 0;
    }
}
/* /Components/Pages/AddProduct.razor.rz.scp.css */
.mainBackground[b-2whf2031z8] {
    background-color: #2A2A2D;
    margin: 20px;
    border: 1px solid #3a3a3d;
    border-radius: 10px;
    padding: 30px;
}

.newProduct[b-2whf2031z8]
{
    text-align:center;
    font-size:30px;
    color:white;
    margin-bottom:20px;
}
.inputBackground[b-2whf2031z8] {
    display: flex;
    width: 100%;
    gap: 10px;
    background-color: #202022;
    border: 2px solid #3a3a3d;
    border-radius: 8px;
    padding: 12px 16px;
}



.inputs[b-2whf2031z8] {
    flex: 1;
    background-color: #191A1C;
    color: white;
    border: 2px solid #3a3a3d;
    border-radius: 8px;
    padding: 12px 16px;
    font-size: 16px;
    transition: all 0.3s ease;
}

.markdownHeader[b-2whf2031z8] {
    margin-top: 20px;
    margin-bottom: 10px;
    color: white;
    font-size: 20px;
    font-weight: bold;
}

.markdownSection[b-2whf2031z8] {
    background-color: #0d6efd;
    padding: 12px;
    border-radius: 6px;
}

.markdownSection .col[b-2whf2031z8] {
    background: white;
    border-radius: 4px;
    padding: 10px;
}

.markdownLive[b-2whf2031z8] {
    background-color: #191A1C;
    border: 2px solid #3a3a3d;
    border-radius: 8px;
    color:white;
}


.markdownContainer[b-2whf2031z8] {
    margin-top: 20px;
}

.markdownHeaderRow[b-2whf2031z8] {
    display: grid;
    grid-template-columns: 1fr 1fr;
    margin-bottom: 8px;
    color: white;
    font-weight: bold;
}

.markdownEditor[b-2whf2031z8] {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 15px;
}

.markdownInput[b-2whf2031z8] {
    background-color: #191A1C;
    color: white;
    border: 2px solid #3a3a3d;
    border-radius: 8px;
    padding: 15px;
    font-size: 15px;
    resize: none;
    min-height: 450px;
}

.markdownPreview[b-2whf2031z8] {
    background-color: #191A1C;
    border: 2px solid #3a3a3d;
    border-radius: 8px;
    padding: 15px;
    overflow-y: auto;
    min-height: 450px;
    color: white;
}

/* Make preview markdown look nice */
.markdownPreview h1[b-2whf2031z8],
.markdownPreview h2[b-2whf2031z8],
.markdownPreview h3[b-2whf2031z8] {
    color: #3d5afe;
}

.markdownPreview img[b-2whf2031z8] {
    max-width: 100%;
}

.markdownPreview code[b-2whf2031z8] {
    background-color: #2A2A2D;
    padding: 4px 6px;
    border-radius: 4px;
}

.validation-message[b-2whf2031z8],
.validation-message span[b-2whf2031z8] {
    color: #ff4d4f !important;
    font-size: 13px;
    margin-top: 6px;
}
/* /Components/Pages/Admin.razor.rz.scp.css */
.mainBackground[b-503dddo3jp] {
    background-color: #2A2A2D;
    margin: 20px;
    border: 1px solid #3a3a3d;
    border-radius: 10px;
    padding: 30px;
}

.table.table-bordered.table-striped td[b-503dddo3jp], .table.table-bordered.table-striped th[b-503dddo3jp] {
    padding: 20px;
    background-color: #212124;
    color: white;
}

.editArea[b-503dddo3jp] {
    text-align: center;
    vertical-align: middle;
}

.editButton[b-503dddo3jp] {
    margin-bottom: 10px;
    background-color: #0f69e5;
    color: white;
    cursor: pointer;
    border: none;
    padding: 6px 14px;
    border-radius: 4px;
    transition: all 0.15s ease-in-out;
}

.editButton:hover[b-503dddo3jp] {
    background-color: #095bcc;
    transform: translateY(-1px);
}


.addProduct[b-503dddo3jp] {
    margin:5px;
    background-color: #0f69e5;
    color: white;
    cursor: pointer;
    border: none;
    padding: 6px 14px;
    border-radius: 4px;
    transition: all 0.15s ease-in-out;
}

.addProduct:hover[b-503dddo3jp] {
    background-color: #095bcc;
    transform: translateY(-1px);
}

.addProduct:active[b-503dddo3jp] {
    transform: translateY(0);
}


.HeaderOptions[b-503dddo3jp] {
    display: flex;
    gap: 15px;
    width: 100%;
    flex-wrap: wrap;
    margin-bottom:10px;
}

.searchBar[b-503dddo3jp] {
    flex: 1;
    min-width: 250px;
    background-color: #191A1C;
    color: white;
    border: 2px solid #3a3a3d;
    border-radius: 8px;
    padding: 12px 16px;
    font-size: 16px;
    transition: all 0.3s ease;
}
/* /Components/Pages/EditProduct.razor.rz.scp.css */
.mainBackground[b-vgb7s3io36] {
    background-color: #2A2A2D;
    margin: 20px;
    border: 1px solid #3a3a3d;
    border-radius: 10px;
    padding: 30px;
}

.newProduct[b-vgb7s3io36] {
    text-align: center;
    font-size: 30px;
    color: white;
    margin-bottom: 20px;
}

.inputBackground[b-vgb7s3io36] {
    display: flex;
    width: 100%;
    gap: 10px;
    background-color: #202022;
    border: 2px solid #3a3a3d;
    border-radius: 8px;
    padding: 12px 16px;
}
.header[b-vgb7s3io36] {
    display: flex;
    align-items: center;
}

.header h4[b-vgb7s3io36] {
    margin: 0 auto;
}

.deletePlugin[b-vgb7s3io36] {
    margin-left: auto;
}


.inputs[b-vgb7s3io36] {
    flex: 1;
    background-color: #191A1C;
    color: white;
    border: 2px solid #3a3a3d;
    border-radius: 8px;
    padding: 12px 16px;
    font-size: 16px;
    transition: all 0.3s ease;
}

.markdownHeader[b-vgb7s3io36] {
    margin-top: 20px;
    margin-bottom: 10px;
    color: white;
    font-size: 20px;
    font-weight: bold;
}

.markdownSection[b-vgb7s3io36] {
    background-color: #0d6efd;
    padding: 12px;
    border-radius: 6px;
}

    .markdownSection .col[b-vgb7s3io36] {
        background: white;
        border-radius: 4px;
        padding: 10px;
    }

.markdownLive[b-vgb7s3io36] {
    background-color: #191A1C;
    border: 2px solid #3a3a3d;
    border-radius: 8px;
    color: white;
}


.markdownContainer[b-vgb7s3io36] {
    margin-top: 20px;
}

.markdownHeaderRow[b-vgb7s3io36] {
    display: grid;
    grid-template-columns: 1fr 1fr;
    margin-bottom: 8px;
    color: white;
    font-weight: bold;
}

.markdownEditor[b-vgb7s3io36] {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 15px;
}

.markdownInput[b-vgb7s3io36] {
    background-color: #191A1C;
    color: white;
    border: 2px solid #3a3a3d;
    border-radius: 8px;
    padding: 15px;
    font-size: 15px;
    resize: none;
    min-height: 450px;
}

.markdownPreview[b-vgb7s3io36] {
    background-color: #191A1C;
    border: 2px solid #3a3a3d;
    border-radius: 8px;
    padding: 15px;
    overflow-y: auto;
    min-height: 450px;
    color: white;
}

.markdownPreview h1[b-vgb7s3io36],
.markdownPreview h2[b-vgb7s3io36],
.markdownPreview h3[b-vgb7s3io36] {
color: #3d5afe;
}

.markdownPreview img[b-vgb7s3io36] {
max-width: 100%;
}

.markdownPreview code[b-vgb7s3io36] {
background-color: #2A2A2D;
padding: 4px 6px;
border-radius: 4px;
}

.validation-message[b-vgb7s3io36],
.validation-message span[b-vgb7s3io36] {
    color: #ff4d4f !important;
    font-size: 13px;
    margin-top: 6px;
}
/* /Components/Pages/Home.razor.rz.scp.css */
body[b-niavb4q4uj] {
}

.TopPluginsBackground[b-niavb4q4uj] {
    background-color: #2A2A2D;
    padding:20px;
    margin:30px;
    border-radius:8px;
}

.topPluginsTitle[b-niavb4q4uj]
{
    color:white;
    text-align:center;
    font-size:28px;
    margin-top:10px;
    margin-bottom:20px;
    font-weight:bold;
}


.topPluginList[b-niavb4q4uj] {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 25px;
    margin: 10px 20px 0 20px;
}

@media (max-width: 600px) {
    .topPluginList[b-niavb4q4uj] {
        grid-template-columns: 1fr;
    }
}

.statistics[b-niavb4q4uj] {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    display: flex;
    justify-content:center;
    gap:40px;
}

.stat[b-niavb4q4uj] {
    width:300px;
    padding: 20px;
    border-radius: 8px;
    background-color: #2A2A2D;
}

.statTitle[b-niavb4q4uj]{
    color:white;
    text-align:center;
    margin-top:10px;
    margin-bottom:10px;
    font-size:25px;
}

.statNumber[b-niavb4q4uj] {
    padding: 10px;
    font-size: 20px;
    color: whitesmoke;
    text-align: center;
}
/* /Components/Pages/Plugins.razor.rz.scp.css */
body[b-byliqrnuuo] {
}
.pluginList[b-byliqrnuuo] {
    background-color: #2A2A2D;
    margin: 30px;
    border-radius: 15px;
    padding-bottom: 20px;
}
.pluginHeader[b-byliqrnuuo] {
    display: flex;
    gap: 15px;
    width: 100%;
    padding:20px;
    flex-wrap: wrap;
}
.dropDownSelection[b-byliqrnuuo] {
    min-width: 200px;
    background-color: #191A1C;
    color: white;
    border: 2px solid #3a3a3d;
    border-radius: 8px;
    padding: 12px 16px;
    font-size: 16px;
    cursor: pointer;
    transition: all 0.3s ease;
}
.searchBar[b-byliqrnuuo] {
    flex: 1;
    min-width: 250px;
    background-color: #191A1C;
    color: white;
    border: 2px solid #3a3a3d;
    border-radius: 8px;
    padding: 12px 16px;
    font-size: 16px;
    transition: all 0.3s ease;
}

.card-grid[b-byliqrnuuo] {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 25px;
    margin: 10px 20px 0 20px;
}

@media (max-width: 600px) {
    .card-grid[b-byliqrnuuo] {
        grid-template-columns: 1fr;
    }
}
/* /Components/Pages/Product.razor.rz.scp.css */
body[b-20sijk27hh] {
}

.col[b-20sijk27hh] {
    background-color: #2A2A2D;
    margin-left: 20px;
    margin-right: 20px;
    border: 1px solid #3a3a3d;
    border-radius: 10px;
    padding:20px;
}

.productInfo[b-20sijk27hh] {
    max-width: 900px;
    margin: 0 auto;
}

.videoShowcase[b-20sijk27hh] {
    width: 100%;
    aspect-ratio: 16 / 9;
    border: none;
    border-radius: 10px;
    margin-bottom: 20px;
}

.productMarkdownContent[b-20sijk27hh] {
    color: white;
}


.col-md-4.col-lg-3.ms-auto[b-20sijk27hh] {
    background-color: #2A2A2D;
    border-radius: 10px;
    margin-right: 30px;
    padding: 20px;
    border: 1px solid #3a3a3d;
    display: flex;
    flex-direction: column;
    position: sticky;
    top: 20px;
    align-self: flex-start;
}

.productImage[b-20sijk27hh] {
    max-width:150px;
    max-height:150px;
    width: 100%;
    height: 100%;
    display:block;
    margin: 0 auto;
}

.productTitle[b-20sijk27hh] {
    color: white;
    font-size: 24px;
    font-weight: bold;
    text-align: center;
    margin-top: 15px;
}

.ProductButtons[b-20sijk27hh] {
    text-align: center;
    display: flex;
    flex-direction: column;
    gap: 8px;
    margin-top:10px;
}

.productDescription[b-20sijk27hh] {
    color: #c7bebe;
    text-align:center;
}

.purchaseButton[b-20sijk27hh],
.githubButton[b-20sijk27hh] {
    text-decoration: none;
}

.purchaseButton[b-20sijk27hh] {
    background-color: #198754;
    color: white;
    cursor: pointer;
    border: none;
    padding: 6px 14px;
    border-radius: 6px;
    transition: all 0.15s ease-in-out;
}

    .purchaseButton:hover[b-20sijk27hh] {
        background-color: #157347;
        transform: translateY(-1px);
        text-decoration: none;
    }

.purchaseButton:active[b-20sijk27hh] {
    transform: translateY(0);
}

.githubButton[b-20sijk27hh] {
    background-color: #6c757d;
    color: white;
    cursor: pointer;
    border: none;
    padding: 6px 14px;
    border-radius: 6px;
    transition: all 0.15s ease-in-out;
}

    .githubButton:hover[b-20sijk27hh] {
        background-color: #565e64;
        transform: translateY(-1px);
        text-decoration: none;
    }
.githubButton:active[b-20sijk27hh] {
    transform: translateY(0);
}
/* /Components/PluginCard.razor.rz.scp.css */
.plugin-card[b-ai0h6mr9sf] {
    background-color: #212124;
    border-radius: 8px;
    overflow: hidden;
    border: 1px solid #3a3a3d;
    display: flex;
    flex-direction: column;
    height:210px;
}

.cardHeader[b-ai0h6mr9sf] {
    display: flex;
    align-items: center;
    gap: 10px;
    padding: 12px;
}

.cardTitle[b-ai0h6mr9sf] {
    margin: 0;
    font-size: 18px;
    color: whitesmoke;
    font-weight: bold;
}

.cardImage[b-ai0h6mr9sf] {
    width: 50px;
    height: 50px;
}

.cardDescription[b-ai0h6mr9sf] {
    color: #c7bebe;
    font-size: 14px;
    margin: 12px;
    overflow: hidden;
    text-overflow: ellipsis;
    height:45px;
}

.cardPrice[b-ai0h6mr9sf] {
    margin: 12px;
    margin-top: auto;
    text-align: right;
    font-size: 15px;
    color: white;
}

.cardButton[b-ai0h6mr9sf] {
    width: 100%;
    border-radius: 0 0 10px 10px;
    background-color: #3d5afe;
    color: white;
    padding: 5px;
    text-transform: uppercase;
    cursor: pointer;
    border: none;
    display: block;
    margin-top: auto;
    margin-bottom: -1px;
    transition: all 0.3s ease;
}

.cardButton:hover[b-ai0h6mr9sf] {
    background-color: #2645f8;
    transform: scale(1.1);
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
}
